TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

TransformationMatrix ( elt-ids^int/ord^fun I ) -> elt-alg^mat, elt-ord^rat

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> The transformation matrix for ideal I, as an integral matrix and denominator. </shortdoc>

### Examples

x_f5 := FiniteField(5); x_f5t := PolynomialAlgebra(x_f5); x_f5ty := PolynomialAlgebra(x_f5t); x_k := FunctionField(x_f5ty.1^4-x_f5t.1^5); x_O := MaximalOrderFinite(x_k); x_d := Decomposition(x_O,x_f5t.1); TransformationMatrix(x_d[1])

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack